Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Enumerations Enumerator Properties Events
Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
_NAMESPACE_.MadGUI Class Reference

## Classes
class | ArrayList< T >
class | ScrollableList< T >
class | ScrollableListItem
class | ScrollableListItemLabel

## Public Member Functions
delegate void | RunnableVoid0 ()
delegate void | RunnableVoid1< T > (T arg1)
delegate T | RunnableGeneric0< T > ()
delegate T | RunnableGeneric1< T > (T arg1)
delegate bool | Validator (SerializedProperty property)
delegate bool | Validator0 ()

## Static Public Member Functions
static Color | Darker (Color color)
static Color | Brighter (Color color)
static Color | ToggleColor (Color color, ref bool last)
static bool | Button (string label)
static void | Box (RunnableVoid0 runnable)
static void | Box (string label, RunnableVoid0 runnable)
static void | BeginBox ()
static void | BeginBox (string label)
static void | EndBox ()
static void | Indent (RunnableVoid0 runnable)
static void | IndentBox (RunnableVoid0 runnable)
static void | IndentBox (string label, RunnableVoid0 runnable)
static void | Disabled (RunnableVoid0 runnable)
static void | ConditionallyEnabled (bool enabled, RunnableVoid0 runnable)
static void | LineHelp (ref bool state, string helpMessage, RunnableVoid0 runnable)
static bool | InfoFix (string message)
static bool | InfoFix (string message, string fixMessage)
static bool | WarningFix (string message)
static bool | ErrorFix (string message)
static bool | ErrorFix (string message, string fixMessage)
static bool | MessageFix (string message, MessageType messageType)
static bool | MessageFix (string message, string fixMessage, MessageType messageType)
static bool | MessageWithButton (string message, string buttonLabel, MessageType messageType)
static int | MessageWithButtonMulti (string message, MessageType messageType, params string[] buttonLabel)
static void | Warning (string message)
static void | Info (string message)
static void | Error (string message)
static void | Message (string message, MessageType messageType)
static void | Validate (Validator0 validator, RunnableVoid0 runnable)
static void | PropertyField (SerializedProperty obj, string label)
static void | PropertyField (SerializedProperty obj, string label, Validator validator)
static void | PropertyField (SerializedProperty obj, string label, string tooltip)
static void | PropertyField (SerializedProperty obj, string label, string tooltip, Validator validator)
static void | PropertyFieldSlider (SerializedProperty obj, float leftValue, float rightValue, string label)
static void | PropertyFieldVector2 (SerializedProperty obj, string label)
static void | PropertyFieldVector2Compact (SerializedProperty obj, string label)
static void | PropertyFieldVector2Compact (SerializedProperty obj, string label, int labelWidth)
static void | PropertyFieldEnumPopup (SerializedProperty obj, string label)
static void | LookLikeControls (int labelWidth)
static void | LookLikeControls (int labelWidth, int fieldWidth)
static void | PropertyFieldToggleGroup (SerializedProperty obj, string label, RunnableVoid0 runnable)
static void | PropertyFieldToggleGroup2 (SerializedProperty obj, string label, RunnableVoid0 runnable)
static void | PropertyFieldToggleGroupInv2 (SerializedProperty obj, string label, RunnableVoid0 runnable)
static void | PropertyFieldObjectsPopup< T > (Object target, string label, ref T selectedObject, List< T > objects, bool allowEditWhenDisabled)
static bool | Foldout (string name, bool defaultState)
static void | Separator ()

## Static Public Attributes
static Validator | StringNotEmpty
static Validator | ObjectIsSet

## Member Data Documentation

Validator _NAMESPACE_.MadGUI.ObjectIsSet
| static

Initial value:
= (SerializedProperty s) => {
return s.objectReferenceValue != null;
}

Validator _NAMESPACE_.MadGUI.StringNotEmpty
| static

Initial value:
= (SerializedProperty s) => {
return !string.IsNullOrEmpty(s.stringValue);
}

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/MadCommons/Editor/MadGUI.cs